#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file_to_rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : label 2001 is oscillo
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../crrc4_spectro_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1kHz
#     => 0.001s delay
#     => processus in background (&)
#

faster_file_to_rhb  ../../crrc4_spectro_data_0001.fast  0.001  &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc        ->  RHB default behaviours
#      OSC.pid       ->  faster data declaration
#      OSC.facqConf  ->  histograms declaration
#      OSC.rhvConf   ->  visualisation configuration
#

RHB  -r








###############################################################

pkill faster_file_to_rhb



