#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file_to_rhb


###############################################################
#
#  Display data file content summary
#
#  see in the file : label 1 is CRRC4_SPECTRO
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../crrc4_spectro_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 5kHz
#     => 0.0002s delay
#     => processus in background (&)
#

faster_file_to_rhb  ../../crrc4_spectro_data_0001.fast  0.0002 &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc        	 ->  RHB default behaviours
#      SPECTRO.pid       ->  faster data declaration
#      SPECTRO.facqConf  ->  histograms declaration
#      SPECTRO.rhvConf   ->  visualisation configuration
#

RHB  -r







###############################################################

pkill faster_file_to_rhb
